@charset "UTF-8";
.qa-box {
  width: 100%; /* 根據需要調整寬度 */
  margin: 30px auto;
  font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}
.qa-box .qa-box-item {
  border: 2px solid #cdcdcd; /* 整體邊框 */
  margin: 30px auto;
}
.qa-box .qa-box-label {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: 2rem;
  height: 2rem;
  color: #ED1C23;
  font-weight: bold;
  font-size: 1.5rem;
}
.qa-box .qa-box-header {
  display: flex;
  align-items: center;
  gap: 12px;
  background-color: #fff;
  color: #000;
  cursor: pointer;
  padding: 12px 1rem;
  width: calc(100% - 2.5rem);
  text-align: left;
  border: none;
  outline: none;
  transition: background-color 0.3s, color 0.3s;
  font-size: 16px;
}
.qa-box .qa-box-header::after {
  content: "❮";
  margin-left: auto;
  color: #ED1C23;
  font-size: 1.6rem;
  transform: rotate(90deg);
  transition: transform 0.3s ease;
}
.qa-box .qa-box-item.active .qa-box-header::after {
  transform: rotate(-90deg);
}
.qa-box .qa-box-content {
  display: flex;
  padding: 0 1rem;
  align-items: flex-start;
  gap: 12px;
  background-color: #ececec;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease-in-out, padding 0.4s ease-in-out;
}
.qa-box .qa-box-content .qa-box-body {
  flex: 1;
}
.qa-box .qa-box-item.active .qa-box-content {
  padding: 1rem 1rem;
  border-top: 1px solid #cdcdcd;
}
.qa-box .qa-box-content p {
  margin-top: 0;
  margin-bottom: 15px;
  line-height: 1.6;
  color: #333;
}